# Method Nettle.ECC_Curve()->point_mul()

Method point_mul

  `Point point_mul(Gmp.mpz|int x, Gmp.mpz|int y, Gmp.mpz|int scalar)`

Description

  Multiply a point on the curve by a scalar.

  A typical use is for Elliptic Curve Diffie Hellman (ECDH) key exchange.

  This is equivalent to `(Point(x, y) * scalar)`.

Returns

  Returns the new Point on the curve.

Throws

  Throws an error if the point (x, y) isn't on the curve.